This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 660408 (CVE-2010-3776)

Summary: CVE-2010-3776 Mozilla miscellaneous memory safety hazards (MFSA 2010-74)
Product: [Other] Security Response Reporter: Josh Bressers <bressers>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: ddumas, gecko-bugs-nobody, security-response-team, stransky, vdanen, wnefal+redhatbugzilla
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20101209,reported=20101203,source=mozilla,impact=critical,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-4.8.z/firefox=affected,rhel-5.5.z/firefox=affected,rhel-6.0.z/firefox=affected,rhel-4.9/seamonkey=affected,rhel-4.8.z/thunderbird=affected/impact=moderate/cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,rhel-5.5.z/thunderbird=affected/impact=moderate/cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,rhel-6.0.z/thunderbird=affected/impact=moderate/cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-12 17:36:20 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Josh Bressers 2010-12-06 13:45:07 EST
Mozilla developers identified and fixed several memory safety bugs in the
browser engine used in Firefox and other Mozilla-based products. Some of
these bugs showed evidence of memory corruption under certain
circumstances, and we presume that with enough effort at least some of
these could be exploited to run arbitrary code.

Jesee Ruderman, Andreas Gal, Nils, and Brian Hackett reported memory safety
problems that affected Firefox 3.6 and Firefox 3.5.
Comment 1 Vincent Danen 2010-12-09 17:01:49 EST
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-74.html
Comment 2 errata-xmlrpc 2010-12-09 18:08:59 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2010:0966 https://rhn.redhat.com/errata/RHSA-2010-0966.html
Comment 3 errata-xmlrpc 2010-12-09 18:29:58 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0967 https://rhn.redhat.com/errata/RHSA-2010-0967.html
Comment 4 errata-xmlrpc 2010-12-09 18:50:38 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0968 https://rhn.redhat.com/errata/RHSA-2010-0968.html
Comment 5 errata-xmlrpc 2010-12-09 18:56:05 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0969 https://rhn.redhat.com/errata/RHSA-2010-0969.html